Bug 924511 - Review Request: gimp-high-pass-filter - High pass filter for the GIMP
Summary: Review Request: gimp-high-pass-filter - High pass filter for the GIMP
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-21 23:09 UTC by Palle Ravn
Modified: 2013-04-01 03:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-01 03:27:03 UTC
hdegoede: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Palle Ravn 2013-03-21 23:09:40 UTC
Spec URL: http://gimp-hpf.zom.dk/gimp-high-pass-filter.spec
SRPM URL: http://gimp-hpf.zom.dk/gimp-high-pass-filter-1.2-1.fc18.src.rpm

Description:
Simple high-pass filter script for the GIMP, as requested by the fedora design team.

Fedora Account System Username: paller

Comment 1 Palle Ravn 2013-03-21 23:15:42 UTC
rpmlint:
gimp-high-pass-filter.noarch: W: no-documentation
2 packages and 1 specfiles checked; 0 errors, 1 warnings.

I tried to preserve the time stamp from the server, but I'm constantly getting the current date.

Comment 2 Hans de Goede 2013-03-22 09:40:53 UTC
Hi,

Full review done:

Good:
- rpmlint checks return:
gimp-high-pass-filter.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
- package meets naming guidelines
- package meets packaging guidelines
- license (GPLv2+) OK, matches source
  - text not in doc, but given the special nature of the upstream "repo" that is ok
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- no need for .desktop file

Should fix (but not a blocker):
- Summaries should not begin with "A" or "The", so please drop the "A " from the Summary

Approved!


Note now that you've been sponsored, it is no longer my "duty" as your sponsor to review your packages. I did this one as it was very straight-forward. But for your next package, please don't assign the review to me.

The easiest way to get a review done is to find someone to swap reviews with, usually this is done by sending a mail to the fedora-devel list with as subject: "Review swaps" and then you say I've this and this package to be reviewed, if you can review one for me, I'll review one of your packages (or some such in your own words).

An added advantages in doing review swaps is that it keeps things fair, you will end up doing approx. as much reviews as that others are doing reviews for you.

Regards,

Hans

Comment 3 Palle Ravn 2013-03-22 10:18:22 UTC
Thank you very much, I just thought I still needed training wheels :)

Regards,
Palle

Comment 4 Palle Ravn 2013-03-22 10:25:33 UTC
New Package SCM Request
=======================
Package Name: gimp-high-pass-filter
Short Description: High-pass filter for the GIMP
Owners: paller
Branches: f17 f18
InitialCC:

Comment 5 Gwyn Ciesla 2013-03-22 12:55:31 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-03-22 14:13:19 UTC
gimp-high-pass-filter-1.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gimp-high-pass-filter-1.2-1.fc17

Comment 7 Fedora Update System 2013-03-22 14:13:39 UTC
gimp-high-pass-filter-1.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gimp-high-pass-filter-1.2-1.fc18

Comment 8 Fedora Update System 2013-03-22 21:15:11 UTC
gimp-high-pass-filter-1.2-1.fc17 has been pushed to the Fedora 17 testing repository.

Comment 9 Fedora Update System 2013-04-01 03:27:06 UTC
gimp-high-pass-filter-1.2-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 10 Fedora Update System 2013-04-01 03:27:16 UTC
gimp-high-pass-filter-1.2-1.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.